This endpoint creates two or more child transactions that are branched from a previous transaction. This endpoint allows you to link multiple categories, descriptions, and amounts to a parent transaction.
When a split transaction is created, the parent transaction’s has_been_split field will automatically be updated to true and the child transactions’ parent_guid will have the transaction guid of the parent. The total amount of the child transactions must equal the amount of the parent transaction. Once a transaction has been split it can’t be split again.
To re-split a transaction, it must first be un-split. This can be done by calling the Delete Split Transactions endpoint. Calling this endpoint will delete the existing child transactions and update the parent transaction’s has_been_split field to false. You can then re-split the parent transaction by calling Create Split Transaction again.
Authorizations
MD-SESSION-TOKEN
string
header
required
MX Session Token
Request an API token using the read API token endpoint in the MX SSO API.
Exchange an API token for a session token.
A session token is obtained by sending a POST request to /sessions
The session token will be used in each request made for the user. It should be passed in an MD-SESSION-TOKEN HTTP header as shown below.
This session token is valid for 30 minutes from the time it was created. The 30 minute expiration counter is refreshed with each call.
If you send a request with an expired session token you'll receive an error code of 4011.
In documentation code examples, replace <API_KEY_VALUE> with the session token.
Path Parameters
transaction_guid
string
required
The unique identifier for the transaction. Defined by MX.
Body
application/vnd.mx.nexus.v1+json
transactions
object[]
Hide child attributes
transactions.amount
number
required
transactions.category_guid
string
transactions.description
string
transactions.memo
string
Response
200 - application/vnd.mx.api.v1+json
OK
transactions
object[]
Hide child attributes
transactions.account_guid
string
Unique identifier for the account. Defined by MX.
Example:
"ACT-8e6f92c8-1491-42ce-8bf6-c309e9531530"
transactions.amount
number
The transaction amount. This will always be a positive value. The Transaction Type determines how the transaction affects the account.
Example:
33.88
transactions.amount_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.amount_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.category_guid
string
Unique identifier for the transaction category. Defined by MX.
Example:
"CAT-97a2b899-5a32-4196-b87c-a8e65d8a9849"
transactions.category_name
string
The name of the transaction category.
Example:
"Office Supplies"
transactions.category_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
3
transactions.category_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"SYSTEM"
transactions.check_number
integer
The check number for the transaction. (Deprecated).
Example:
null
transactions.check_number_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.check_number_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.check_number_string
string
The check number for the transaction.
Example:
null
transactions.created_at
string
Date and time the transaction was created, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
Example:
"2022-06-14T21:17:10+00:00"
transactions.currency_code
string
The ISO 4217 three-character currency code (e.g. USD).
Example:
"USD"
transactions.currency_code_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.currency_code_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.date
string
Date the transaction was created, represented in ISO 8601 format (e.g. 2011-03-28).
Example:
"2022-06-14"
transactions.date_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.date_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.description
string
A human-readable description of the transaction.
Example:
"Office Depot"
transactions.description_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
3
transactions.description_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"SYSTEM"
transactions.extended_transaction_type
string
Additional transaction type classification for specialized transaction categories.
Example:
""
transactions.external_guid
string
Partner created identifier for the transaction.
Example:
"transfer-0bc9936d-6761-4aed-af7f-a94e7a0f7e7e"
transactions.feed_amount
number
Transaction amount, as provided by our data feed. See amount for more information.
Example:
33.88
transactions.feed_check_number
integer
Check number, as provided by our data feed. See check_number for more information.
Example:
null
transactions.feed_check_number_string
string
Check number, as provided by our data feed. See check_number_string for more information.
Example:
null
transactions.feed_currency_code
string
Currency code, as provided by our data feed. See currency_code for more information.
Example:
"USD"
transactions.feed_description
string
Description of the transaction, as provided by our data feed. See description for more information.
Example:
"Office Depot"
transactions.feed_is_international
boolean
Whether the transaction is international, as provided by our data feed. See is_international for more information.
Example:
null
transactions.feed_latitude
number
Latitude for the transaction, as provided by our data feed. See latitude for more information.
Example:
null
transactions.feed_longitude
number
Longitude for the transaction, as provided by our data feed. See longitude for more information.
Example:
null
transactions.feed_memo
string
The transaction memo, as provided by our data feed. See memo for more information.
Example:
null
transactions.feed_posted_at
string
Date and time the transaction was posted, as provided by our data feed. See posted_at for more information.
Example:
"2022-06-15T12:00:00+00:00"
transactions.feed_posted_on
string
Date the transaction was posted, as provided by our data feed. See posted_on for more information.
Example:
"2022-06-15"
transactions.feed_status
integer
Status of the transaction, as provided by our data feed. See status for more information.
Example:
1
transactions.feed_transacted_at
string
Date and time the transaction took place, as provided by our data feed. See transacted_at for more information.
Example:
"2022-06-14T12:00:00+00:00"
transactions.feed_transacted_on
string
Date the transaction took place, as provided by our data feed.
Example:
"2022-06-14"
transactions.feed_transaction_type
integer
The type of transaction, as provided by our data feed. See transaction_type for more information.
Example:
2
transactions.feed_transaction_type_name
string
The type of transaction, as provided by our data feed. See transaction_type_name for more information.
Example:
"DEBIT"
transactions.guid
string
Unique identifier for the transaction. Defined by MX.
Example:
"TRN-24af807c-66b5-416c-a84e-d18f1003809e"
transactions.has_been_split
boolean
If the transaction is a split, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.has_been_viewed
boolean
If the transaction has been viewed, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_bill_pay
boolean
If the transaction is a bill pay, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_business
boolean
If the transaction is categorized as a business expense, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_direct_deposit
boolean
If the transaction is a direct deposit, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_expense
boolean
If the transaction is an expense, this field will be true. Otherwise, this field will be false.
Example:
true
transactions.is_fee
boolean
If the transaction is a fee, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_flagged
boolean
If the transaction has been flagged, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_hidden
boolean
If the transaction is hidden, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_income
boolean
If the transaction is income, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_international
boolean
If the transaction is international, as defined by the data provider, this field will be true. If the data provider determines it is not international, then it will be false. It will be null if the data provider does not provide this information.
Example:
null
transactions.is_international_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.is_international_set_by_name
string
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.is_overdraft_fee
boolean
If the transaction is an overdraft fee, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_payroll_advance
boolean
If the transaction is a payroll advance, this field will be true. Otherwise, this field will be false.
Example:
false
transactions.is_recurring
boolean
This field should be ignored. If this information is required, please reach out to MX to discuss an alternative.
Example:
null
transactions.is_subscription
boolean
If the transaction represents a payment for a subscription service such as Netflix or Audible, this field will be true. Otherwise it will be false.
Example:
false
transactions.latitude
number
The latitude of the location where the transaction occurred. The number is a signed decimal (e.g. Rio de Janeiro's latitude is -22.9027800 and Tokyo's latitude is 35.689488).
Example:
null
transactions.latitude_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.latitude_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.localized_description
string
A human-readable description of the transaction, provided in a local language.
Example:
null
transactions.localized_memo
string
Additional descriptive information about the transaction, provided in a local language.
Example:
null
transactions.longitude
number
The longitude of the location where the transaction occurred. The number is a signed decimal (e.g. Rio de Janeiro's longitude is -43.2075000 and Tokyo's longitude is 139.691706).
Example:
null
transactions.longitude_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.longitude_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.member_is_managed_by_user
boolean
If the member the transaction belongs to is managed by the user, this field will be true. Otherwise, the member is managed by the MX partner and this field will be false. Members created with Nexus are considered to be managed by the user.
Example:
true
transactions.memo
string
The memo is additional descriptive information about the transaction.
Example:
null
transactions.memo_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.memo_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
null
transactions.merchant_category_code
integer
The merchant category code.
Example:
0
transactions.merchant_guid
string
Unique identifier for the merchant identified in the transaction. Defined by MX.
Example:
"MCH-8f595f23-43fb-2c82-429e-56313bb6dada"
transactions.merchant_location_guid
string
The unique identifier for the merchant location associated with the transaction. Defined by MX.
Example:
null
transactions.metadata
string
Additional information a partner can store on the transaction. NOTE: this field may potentially be overwritten by the data provider when data is refreshed through aggregation. See the FAQs for more information.
Example:
"some hard coded transaction metadata"
transactions.parent_guid
string
The parent guid of the transaction.
Example:
null
transactions.posted_at
string
Date and time the transaction was posted, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
Example:
"2022-06-15T12:00:00+00:00"
transactions.posted_at_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.posted_at_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.revision
integer
The revision number of this transaction record.
Example:
1
transactions.scheduled_payment_guid
string
The unique identifier for the scheduled payment associated with this transaction. Defined by MX.
Example:
null
transactions.status
integer
The status of the transaction (1 = POSTED, 2 = PENDING). See Status for more information.
Example:
1
transactions.status_name
string
The status of the transaction (POSTED or PENDING). See Status for more information.
Example:
"POSTED"
transactions.status_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.status_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.top_level_category_guid
string
Unique identifier of the parent category that this transaction's category is assigned to.
Example:
"CAT-94b11142-e97b-941a-f67f-6e18d246a23f"
transactions.transacted_at
string
Date and time the transaction took place, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).
Example:
"2022-06-14T12:00:00+00:00"
transactions.transacted_at_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.transacted_at_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.transaction_type
integer
The type of transaction (1 = CREDIT, 2 = DEBIT). See Transaction Types for more information.
Example:
2
transactions.transaction_type_name
string
The type of transaction (CREDIT or DEBIT). See Transaction Types for more information.
Example:
"DEBIT"
transactions.transaction_type_set_by
integer
The source that set the data ( 1 = FEED, 2 = USER, 3 = SYSTEM ). See Transaction Set By for more information.
Example:
1
transactions.transaction_type_set_by_name
string
The source that set the data ( FEED, USER, or SYSTEM ). See Transaction Set By for more information.
Example:
"FEED"
transactions.updated_at
string
Date and time the transaction was updated, represented in ISO 8601 format with timestamp (e.g. 2015-04-13T12:01:23-00:00).